
Foreman - Feature #1294

Build should not require TFTP if using gPXE

11/03/2011 07:19 PM - Trey Dockendorf

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Unattended installations   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When attempting to provision a system using gPXE I found it would fail unless a subnet was assigned.  The subnet also required a

TFTP server.  Since using gPXE requires neither it would be ideal if the build would fail without a subnet only if that host does not

have a gPXE template assigned.

This was using foreman-4.0-1rc1.

See relevant thread, http://groups.google.com/group/foreman-users/browse_thread/thread/a6c65cc2cde5cbc4

Related issues:

Related to Foreman - Bug #14521: TFTP orchestration fails for OS with iPXE w/... Closed 04/07/2016

Associated revisions

Revision ede6c26b - 11/06/2011 10:03 AM - Ohad Levy

fixes #1294 - Build should not require TFTP if using gPXE

History

#1 - 11/06/2011 10:03 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset ede6c26bd2162fb1aa82faf857daac348335cdae.

#2 - 04/07/2016 06:11 AM - Lukas Zapletal

- Related to Bug #14521: TFTP orchestration fails for OS with iPXE w/o PXELinux associated added
